SNFServer is a basic Message Sniffer "service" that provides scanning via the XCI protocol.
The most common way to use it is with SNFClient, but you can also build your own software to
call the XCI endpoint directly. Generally, the client makes a tcp connection, tells SNFServer
where the message file is, and gets back a scan result... all in simple XML.

# Changelog / Journal

## 20200618_M
- Cleaned up all warnings in the build with the latest g++
- Added SOP for installing the latest g++ in ubuntu
- Added SOP for upgrading libstdc++6 on target ubuntus

iAdditional note: Using RESTsnf as a test jig measured throughput at 8064/minute.
However, this was only a single data point so only gives us a ballpark, and
most systems operate at least 2 orders of magnitude below this message rate.

Using the same test jig measured 7960/minute throughput with saccades off.
Allowed the torture test to run so newer data would be in play and after 5 minutes
measured 7806/minute. Here are a few more numbers:

.2113 7279.7
.2114 6084.89

Conclusion is that performance penalty for disabling saccades is not significant.

## 20200617_M
- Set up the readme.md file
- Set up basic build structures for "the new way" of making all things SNF.

